Package Gnumed :: Package wxpython :: Package gui :: Module gmEMRBrowserPlugin :: Class gmEMRBrowserPlugin |
[frames] | no frames]

# Class gmEMRBrowserPlugin

source code

    gmPlugin.cNotebookPlugin --+
                               |
                              gmEMRBrowserPlugin

Plugin to encapsulate patient EMR browser window.

Instance Methods
register(self) Register ourselves with the main notebook widget. | source code
name(self) | source code
GetWidget(self, parent) | source code
MenuInfo(self) Return tuple of (menuname, menuitem). | source code
can_receive_focus(self) Called when this plugin is *about to* receive focus. | source code
Inherited from `gmPlugin.cNotebookPlugin`: `OnShow`, `Raise`, `__init__`, `on_load`, `receive_focus`, `unregister`

Class Variables
| tab_name = `_('EMR tree')`
| required_minimum_role = `'doctor'`

Method Details

### register(self) | source code
Register ourselves with the main notebook widget. Decorators: `@gmAccessPermissionWidgets.verify_minimum_required_role(required_minimum_role, activity= _('loading plugin <%s>') % tab_name, return_value_on_failure= False, fail_silently= False)` Overrides: gmPlugin.cNotebookPlugin.register (inherited documentation)

### name(self) | source code
Overrides: gmPlugin.cNotebookPlugin.name

### MenuInfo(self) | source code
Return tuple of (menuname, menuitem). None: no menu entry wanted Overrides: gmPlugin.cNotebookPlugin.MenuInfo (inherited documentation)

### can_receive_focus(self) | source code
Called when this plugin is *about to* receive focus. If None returned from here (or from overriders) the plugin activation will be veto()ed (if it can be). Overrides: gmPlugin.cNotebookPlugin.can_receive_focus (inherited documentation)